Subject: [EAI] Received header downgrading for each Received header "for" format

From: [email-masked]
Date: Fri, 12 May 2006 18:58:34 +0900 (JST)

Received header downgrading for each Received header "for" format

(1) not use "for" when the address is non-ASCII
    -> not necessary

(2) for ima (Alt-Addr + Atomic information)

    ima after "for" need to be rewritten to ascii.
    it violates RFC 2821 section 4.4 "Trace Field" very much.

    it may be rewrited to preserve ima as:
    "for" punycode(local)@IDNA(host) "(" RFC2047(ima) ALT-ADDR/ATOMIC value ")"

    ima = local@host

(3) for ascii-address (ima)

    ima is in comment field only.
    Comment field rewriting to RFC2047 is a violation but it is less than (2).
    Rewriting result becomes (4).
    Rewriting cost is less than (2).

(4) for ascii-adress (toascii_conversion of ima)
    -> not necessary

In my opinion, (3) or (4) are reasonable. (2) is hard to implement.

---------------------------------------------------------------------------
(1) not use "for" when the address is non-ASCII
	for ascii-address		without ima
	<empty>				with ima

(2) for ima (Alt-Addr + Atomic information)
	for ascii-address		without ima
	for ima (ALT-ADDR alt-ascii)	ima with ALT-ADDR
	for ima (ATOMIC y)		ima with ATOMIC y
	for ima				ima without ALT-ADDR, ATOMIC

(3) for ascii-address (ima)
	for ascii-address		without ima
	for alt-ascii (ima)		ima with ALT-ADDR
	for atomic-ascii (ima)		ima without ALT-ADDR, with ATOMIC y
	(for ima)			ima without ALT-ADDR, without ATOMIC

(4) for ascii-adress (toascii_conversion of ima)

--
Kazunori Fujiwara, JPRS

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima